# -*- coding: iso-8859-1 -*-

from tools.imports import *

os = lazyModule('os')

debug = False
fraction = False

scicalc_dir = os.path.join(os.getcwd(), 'modules', 'scicalc')

#----------------------------------------------
def saveConfig(cfg):
  """
  Sauvegarde les paramètres de configuration en fichier.
  """
  global debug, fraction

  from tools.configobj import ConfigObj

  config = ConfigObj()
  config.filename = 'SciCalc.param'

  config['debug'] = str(cfg['debug'])
  config['fraction'] = str(cfg['fraction'])
  config.write()

  debug = cfg['debug']
  fraction = cfg['fraction']

#----------------------------------------------
def loadConfig():
  """
  Sauvegarde les paramètres de configuration en fichier.
  """
  global debug, fraction

  from tools.configobj import ConfigObj
  import os.path as path

  if path.exists('SciCalc.param'):
    config = ConfigObj('SciCalc.param', raise_errors=True)

    if config['debug'] == 'True':
      debug = True
    else:
      debug = False

    if config['fraction'] == 'True':
      fraction = True
    else:
      fraction = False
  else:
    debug = False
    fraction = False

#----------------------------------------------
def makeDefaultConfig():
  """
  Sauvegarde les paramètres de configuration par défaut en fichier.
  """
  config = {'debug': False, 'fraction': False}
  saveConfig(config)
